/* tslint:disable */
/* eslint-disable */
export function __wbg_mmdruntime_free(a: number): void;
export function mmdruntime_allocateBuffer(a: number, b: number): number;
export function mmdruntime_deallocateBuffer(a: number, b: number, c: number): void;
export function mmdruntime_createMmdModel(a: number, b: number, c: number): number;
export function mmdruntime_destroyMmdModel(a: number, b: number): void;
export function mmdruntime_getAnimationArena(a: number, b: number): number;
export function mmdruntime_getAnimationIkSolverStateArena(a: number, b: number): number;
export function mmdruntime_getAnimationMorphArena(a: number, b: number): number;
export function mmdruntime_getBoneWorldMatrixArena(a: number, b: number): number;
export function mmdruntime_createBoneWorldMatrixBackBuffer(a: number, b: number): number;
export function mmdruntime_setRuntimeAnimation(a: number, b: number, c: number): void;
export function mmdruntime_beforePhysics(a: number, b: number, c: number): void;
export function mmdruntime_afterPhysics(a: number): void;
export function mmdruntime_getLockStatePtr(a: number): number;
export function mmdruntime_swapWorldMatrixBuffer(a: number): void;
export function mmdruntime_bufferedBeforePhysics(a: number, b: number, c: number): void;
export function mmdruntime_bufferedUpdate(a: number, b: number, c: number): void;
export function mmdruntime_updateBoneWorldMatrix(a: number, b: number, c: number): void;
export function mmdruntime_updateBackBufferBoneWorldMatrix(a: number, b: number, c: number): void;
export function mmdruntime_updataBoneLocalMatrices(a: number, b: number): void;
export function createMmdRuntime(): number;
export function createAnimationPool(): number;
export function init(): void;
export function __wbg_animationpool_free(a: number): void;
export function animationpool_allocateLengthsBuffer(a: number, b: number): number;
export function animationpool_deallocateLengthsBuffer(a: number, b: number, c: number): void;
export function animationpool_createBoneTracks(a: number, b: number, c: number): number;
export function animationpool_getBoneTrackFrameNumbers(a: number, b: number, c: number): number;
export function animationpool_getBoneTrackRotations(a: number, b: number, c: number): number;
export function animationpool_getBoneTrackRotationInterpolations(a: number, b: number, c: number): number;
export function animationpool_createMovableBoneTracks(a: number, b: number, c: number): number;
export function animationpool_getMovableBoneTrackFrameNumbers(a: number, b: number, c: number): number;
export function animationpool_getMovableBoneTrackPositions(a: number, b: number, c: number): number;
export function animationpool_getMovableBoneTrackPositionInterpolations(a: number, b: number, c: number): number;
export function animationpool_getMovableBoneTrackRotations(a: number, b: number, c: number): number;
export function animationpool_getMovableBoneTrackRotationInterpolations(a: number, b: number, c: number): number;
export function animationpool_createMorphTracks(a: number, b: number, c: number): number;
export function animationpool_getMorphTrackFrameNumbers(a: number, b: number, c: number): number;
export function animationpool_getMorphTrackWeights(a: number, b: number, c: number): number;
export function animationpool_createAnimation(a: number, b: number, c: number, d: number, e: number, f: number, g: number, h: number, i: number): number;
export function animationpool_getPropertyTrackFrameNumbers(a: number, b: number): number;
export function animationpool_getPropertyTrackIkStates(a: number, b: number, c: number): number;
export function animationpool_destroyAnimation(a: number, b: number): void;
export function animationpool_createBoneBindIndexMap(a: number, b: number): number;
export function animationpool_createMovableBoneBindIndexMap(a: number, b: number): number;
export function animationpool_createMorphBindIndexMap(a: number, b: number, c: number): number;
export function animationpool_getNthMorphBindIndexMap(a: number, b: number, c: number): number;
export function animationpool_createIkSolverBindIndexMap(a: number, b: number): number;
export function animationpool_createRuntimeAnimation(a: number, b: number, c: number, d: number, e: number, f: number): number;
export function animationpool_destroyRuntimeAnimation(a: number, b: number): void;
export function animationpool_animateMmdModel(a: number, b: number, c: number, d: number): void;
export function __wbg_wbg_rayon_poolbuilder_free(a: number): void;
export function wbg_rayon_poolbuilder_numThreads(a: number): number;
export function wbg_rayon_poolbuilder_receiver(a: number): number;
export function wbg_rayon_poolbuilder_build(a: number): void;
export function initThreadPool(a: number): number;
export function wbg_rayon_start_worker(a: number): void;
export const memory: WebAssembly.Memory;
export function __wbindgen_free(a: number, b: number, c: number): void;
export function __wbindgen_malloc(a: number, b: number): number;
export function __wbindgen_realloc(a: number, b: number, c: number, d: number): number;
export function __wbindgen_exn_store(a: number): void;
export function __wbindgen_thread_destroy(a: number, b: number): void;
export function __wbindgen_start(): void;
